%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   contextdecorator
%define modv   0.10.0


Summary:       New contextlib features backported to Python 2.4
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/c/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.10.0-build.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Michael Foord <michael@voidspace.org.uk>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python2-devel >= 2.4 python2-devel < 2.5
BuildRequires: python-setuptools
BuildArch:     noarch


%description
Contextdecorator is a backport of new features added to the contextlib
module in Python 2.5 to Python 2.4. It can be used to create APIs that
provide either decorator or context manager functionality.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README*
%{python2_sitelib}/%{modn}.py*
%{python2_sitelib}/*.egg-info


%changelog
* Fri Jan 16 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.10.0-1
- Initial build
